{
  "virtualflag" : 0,
  "psdataentityname" : "CONFIGSETTING",
  "decat" : "DEFAULT",
  "validflag" : 1,
  "logicvalid" : 0,
  "detype" : 1,
  "codename" : "ConfigSetting",
  "noviewmode" : 1,
  "createdate" : "2020-08-10 09:01:20",
  "storagemode" : 1,
  "logicname" : "系统配置",
  "existingmodel" : 0,
  "enatempdata" : 0,
  "systemflag" : 0,
  "tablename" : "CONFIGSETTING",
  "psdedbcfgs" : [ {
    "validflag" : 1,
    "createdate" : "2020-08-10 09:01:20",
    "psdedbcfgname" : "MYSQL5"
  } ],
  "psdedrgroups" : [ {
    "codename" : "Auto148",
    "createdate" : "2020-08-10 09:01:21",
    "psdedrgroupname" : "详细信息",
    "ordervalue" : 10000
  } ],
  "psdefields" : [ {
    "enableuserinput" : 3,
    "psdefieldname" : "CONFIGSETTINGID",
    "psdatatypename" : "全局唯一标识，文本类型，用户不可见",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/CONFIGSETTINGID",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ConfigSettingId",
    "psdatatypeid" : "GUID",
    "createdate" : "2020-08-10 09:01:33",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "pkey" : 1,
    "length" : 100,
    "logicname" : "系统配置标识",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:33",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CONFIGSETTINGID][系统配置标识]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:33",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CONFIGSETTINGID][系统配置标识]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CONFIGSETTINGID",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:33"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CONFIGSETTINGNAME",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/CONFIGSETTINGNAME",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "ConfigSettingName",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-10 09:01:33",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "pkey" : 0,
    "length" : 200,
    "logicname" : "系统配置名称",
    "majorfield" : 1,
    "deftype" : 1,
    "allowempty" : 1,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:34",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CONFIGSETTINGNAME][系统配置名称]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:34",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CONFIGSETTINGNAME][系统配置名称]移动端默认"
    } ],
    "psdefsfitems" : [ {
      "psdeid" : "<PSDATAENTITY>",
      "psdbvalueopid" : "LIKE",
      "psdbvalueopname" : "文本包含(%)",
      "psdefsfitemname" : "N_CONFIGSETTINGNAME_LIKE",
      "createdate" : "2020-08-10 09:01:34"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CONFIGSETTINGNAME",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:33"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/CREATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-10 09:01:34",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "predefinetype" : "CREATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "建立时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:34",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:35",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEDATE][建立时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:34"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "CREATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/CREATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "CreateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-10 09:01:34",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "predefinetype" : "CREATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "建立人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:34",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:34",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[CREATEMAN][建立人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "CREATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:34"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEDATE",
    "psdatatypename" : "日期时间型",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/UPDATEDATE",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateDate",
    "psdatatypeid" : "DATETIME",
    "createdate" : "2020-08-10 09:01:35",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "predefinetype" : "UPDATEDATE",
    "pkey" : 0,
    "length" : 8,
    "logicname" : "更新时间",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:35",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:35",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEDATE][更新时间]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEDATE",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:35"
    } ]
  }, {
    "enableuserinput" : 3,
    "psdefieldname" : "UPDATEMAN",
    "psdatatypename" : "文本，可指定长度",
    "pssysdbcolumnid" : "DEFAULT/CONFIGSETTING/UPDATEMAN",
    "validflag" : 1,
    "physicalfield" : 1,
    "codename" : "UpdateMan",
    "psdatatypeid" : "TEXT",
    "createdate" : "2020-08-10 09:01:35",
    "psdetableid" : "<PSDATAENTITY>/CONFIGSETTING",
    "predefinetype" : "UPDATEMAN",
    "pkey" : 0,
    "length" : 60,
    "logicname" : "更新人",
    "majorfield" : 0,
    "deftype" : 1,
    "allowempty" : 0,
    "fkey" : 0,
    "tablename" : "CONFIGSETTING",
    "psdefformitems" : [ {
      "codename" : "Default",
      "createdate" : "2020-08-10 09:01:35",
      "ftmode" : "DEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]"
    }, {
      "codename" : "MobileDefault",
      "createdate" : "2020-08-10 09:01:35",
      "ftmode" : "MOBILEDEFAULT",
      "psdefformitemname" : "[UPDATEMAN][更新人]移动端默认"
    } ],
    "psdefdtcols" : [ {
      "psdefdtcolname" : "UPDATEMAN",
      "customdatatype" : 0,
      "dbtype" : "MYSQL5",
      "createdate" : "2020-08-10 09:01:35"
    } ]
  } ],
  "psdeopprivs" : [ {
    "logicname" : "建立",
    "createdate" : "2020-08-10 09:01:20",
    "psdeopprivname" : "CREATE"
  }, {
    "logicname" : "删除",
    "createdate" : "2020-08-10 09:01:20",
    "psdeopprivname" : "DELETE"
  }, {
    "logicname" : "读取",
    "createdate" : "2020-08-10 09:01:20",
    "psdeopprivname" : "READ"
  }, {
    "logicname" : "更新",
    "createdate" : "2020-08-10 09:01:20",
    "psdeopprivname" : "UPDATE"
  } ],
  "psdetables" : [ {
    "pssysdbtableid" : "DEFAULT/CONFIGSETTING",
    "psdetablename" : "CONFIGSETTING",
    "tabletype" : "MAIN",
    "createdate" : "2020-09-02 15:19:29"
  } ],
  "pssysdmitems" : [ {
    "dbobjtype" : "TABLE",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING",
    "userflag" : 0,
    "createsql4" : "CREATE TABLE `CONFIGSETTING`(\n`CONFIGSETTINGNAME`  VARCHAR(200) COMMENT '系统配置名称' \n,`CONFIGSETTINGID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '系统配置标识' \n,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' \n,`CREATEDATE`  DATETIME COMMENT '建立时间' \n,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' \n,`UPDATEDATE`  DATETIME COMMENT '更新时间' \n)COMMENT='系统配置';",
    "testsql" : "SELECT 1 FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "2f6cd9ea8ae576c3260585706ad394d2",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONFIGSETTING",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.CONFIGSETTINGID",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `CONFIGSETTINGID`  VARCHAR(100)  COMMENT '系统配置标识' \n",
    "testsql" : "SELECT `CONFIGSETTINGID` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "d921f58c885b8256f580bfef930660c7",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONFIGSETTINGID",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.CONFIGSETTINGNAME",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `CONFIGSETTINGNAME`  VARCHAR(200)  COMMENT '系统配置名称' \n",
    "testsql" : "SELECT `CONFIGSETTINGNAME` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "46371f4db6cc3def90aa4d8d677dec58",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CONFIGSETTINGNAME",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.CREATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `CREATEDATE`  DATETIME  COMMENT '建立时间' \n",
    "testsql" : "SELECT `CREATEDATE` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "54d100fdfca6aeb44f1dda5db8cda793",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEDATE",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.CREATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `CREATEMAN`  VARCHAR(60)  COMMENT '建立人' \n",
    "testsql" : "SELECT `CREATEMAN` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "26f8cf65ebc73d90ce03070388c27357",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "CREATEMAN",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.UPDATEDATE",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `UPDATEDATE`  DATETIME  COMMENT '更新时间' \n",
    "testsql" : "SELECT `UPDATEDATE` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "cc53eb5d000a166399bf386dcf5af77c",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEDATE",
    "createdate" : "2020-08-10 18:16:12"
  }, {
    "dbobjtype" : "COLUMN",
    "pssystemdbcfgname" : "MYSQL5",
    "pssysdmitemname" : "CONFIGSETTING.UPDATEMAN",
    "userflag" : 0,
    "createsql4" : "ALTER TABLE `CONFIGSETTING`\nADD COLUMN `UPDATEMAN`  VARCHAR(60)  COMMENT '更新人' \n",
    "testsql" : "SELECT `UPDATEMAN` FROM `CONFIGSETTING` WHERE 1<>1",
    "psobjid" : "5aab48ff59e8d16626a5793ad30b8749",
    "pssystemdbcfgid" : "MYSQL5",
    "psobjname" : "UPDATEMAN",
    "createdate" : "2020-08-10 18:16:12"
  } ]
}